Get Project Date Details
curl --request GET \
--url https://api.vomo.org/v1/projects/date/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vomo.org/v1/projects/date/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vomo.org/v1/projects/date/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.vomo.org/v1/projects/date/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.vomo.org/v1/projects/date/{id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": {
"type": "project_date",
"id": "40001",
"project_name": "Saturday Pantry Pack",
"starts_at": "2025-11-15T09:00:00+00:00",
"ends_at": "2025-11-15T12:00:00+00:00",
"participant_count": 2,
"participants": [
{
"type": "user",
"id": 7903,
"email": "priya.sharma@example.org",
"guests": 1,
"checked_in_at": "2025-11-15T09:04:00+00:00",
"checked_out_at": "2025-11-15T12:01:00+00:00",
"signed_up_at": "2025-11-10T14:00:00+00:00",
"hours": "3.00",
"verified": 1,
"role": "Packer",
"project_id": 4001,
"project_date_id": 40001,
"form_completions": []
},
{
"type": "user",
"id": 8104,
"email": "aisha.mohamed@example.org",
"guests": 0,
"checked_in_at": null,
"checked_out_at": null,
"signed_up_at": "2025-11-11T09:30:00+00:00",
"hours": "3.00",
"verified": 0,
"role": "Volunteer",
"project_id": 4001,
"project_date_id": 40001,
"form_completions": []
}
]
}
}{
"error": {
"code": 400,
"message": "No query results"
}
}{
"error": {
"code": 401,
"message": "Invalid API key"
}
}{
"message": "No query results for model [App\\\\Models\\\\Happening]."
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}Projects
Get Project Date Details
Returns the detail record for a single project serving date (also called a ‘happening’), including the list of participants who signed up. The serving date must belong to a project in your organization; requests for dates outside your organization return a 400 error.
GET
https://api.vomo.org/v1
/
projects
/
date
/
{id}
Get Project Date Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique VOMO identifier for the project serving date to retrieve.
Response
Returns the serving date detail record, including its start and end times, participant count, and the list of participants with their check-in details and hours.
A VOMO Project Serving Date with participants
Show child attributes
Show child attributes
Last modified on June 5, 2026
Was this page helpful?
⌘I